Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Interface IPAccessFilter

All Known Implementing Classes:
  AccessFilter

    public interface IPAccessFilter

This interface holds the method needed to do socket based access filtering.

Method Summary
`boolean` | `doIPFiltering(java.net.Socket s)` Filter based on a socket.
`java.util.List<IPAccess>` | `getIPList()` Get the list of ips allowed
`void` | `loadAccess(Logger logger, java.io.Reader r)` Loads in the accessess allowed from the given Reader
`void` | `saveAccess(Logger logger, java.io.Reader r)` Saves the accesslist from the given Reader.
`void` | `setup(Logger logger, SProperties properties)` Setup this filter.

Method Detail

### doIPFiltering

    boolean doIPFiltering(java.net.Socket s)

  Filter based on a socket.

  Parameters:
    `s` - the Socket to check.
  Returns:
    true if the Socket should be allowed, false otherwise.

### setup

    void setup(Logger logger,
               SProperties properties)

  Setup this filter.

  Parameters:
    `logger` - the Logger to use in case of errors/warnings.
    `properties` - the SProperties to get the settings from.

### getIPList

    java.util.List<IPAccess> getIPList()

  Get the list of ips allowed

### loadAccess

    void loadAccess(Logger logger,
                    java.io.Reader r)
                    throws java.io.IOException

  Loads in the accessess allowed from the given Reader

  Parameters:
    `r` - the Reader were data is available
  Throws:
    `java.io.IOException`

### saveAccess

    void saveAccess(Logger logger,
                    java.io.Reader r)
                    throws java.io.IOException

  Saves the accesslist from the given Reader.

  Parameters:
    `r` - the Reader with the users.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD